summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec <mario at slackware dot hr>2015-02-28 10:03:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-28 11:06:37 +0700
commit60962cf6738d814f4200ee4ddf2625fad6ff162f (patch)
tree1616061cf6c9374d1a2a3b723f00e8b2219d3405
parent6ef0cd4961566ed2225cdd93fb5fee79af5a7ad3 (diff)
downloadslackbuilds-60962cf6738d814f4200ee4ddf2625fad6ff162f.tar.gz
slackbuilds-60962cf6738d814f4200ee4ddf2625fad6ff162f.tar.xz
libraries/manubulon-snmp-plugins: Added (Manubulon SNMP Plugins).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/manubulon-snmp-plugins/README1
-rw-r--r--libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.SlackBuild73
-rw-r--r--libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.info10
-rw-r--r--libraries/manubulon-snmp-plugins/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/libraries/manubulon-snmp-plugins/README b/libraries/manubulon-snmp-plugins/README
new file mode 100644
index 0000000000..a6e989fe66
--- /dev/null
+++ b/libraries/manubulon-snmp-plugins/README
@@ -0,0 +1 @@
+A set of plugins using snmp to monitor hosts and network equipement.
diff --git a/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.SlackBuild b/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.SlackBuild
new file mode 100644
index 0000000000..475f6fb570
--- /dev/null
+++ b/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for manubulon-snmp-plugins
+
+# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=manubulon-snmp-plugins
+VERSION=${VERSION:-20140303}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=manubulon-snmp
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Manual install
+mkdir -p $PKG/usr/libexec/$PRGNAM
+for i in plugins/*.pl; do
+ install -oroot -groot -m0755 -t $PKG/usr/libexec/$PRGNAM $i
+done
+
+# Use monitoring-plugins
+sed -i 's#/usr/local/icinga/libexec#/usr/libexec/monitoring-plugins#' \
+ $PKG/usr/libexec/$PRGNAM/*.pl
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README plugins/{Changelog,INSTALL,LICENSE} $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r --no-preserve=all plugins/doc $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat plugins/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.old
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.info b/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.info
new file mode 100644
index 0000000000..fb909bedeb
--- /dev/null
+++ b/libraries/manubulon-snmp-plugins/manubulon-snmp-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="manubulon-snmp-plugins"
+VERSION="20140303"
+HOMEPAGE="https://github.com/dnsmichi/manubulon-snmp"
+DOWNLOAD="http://mirror.slackware.hr/sources/manubulon-snmp/manubulon-snmp-20140303.tar.bz2"
+MD5SUM="28ea0361d18f2bf1c76523ece6ed7374"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Net-SNMP monitoring-plugins"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/libraries/manubulon-snmp-plugins/slack-desc b/libraries/manubulon-snmp-plugins/slack-desc
new file mode 100644
index 0000000000..7928fedcc6
--- /dev/null
+++ b/libraries/manubulon-snmp-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+manubulon-snmp-plugins: manubulon-snmp (Manubulon SNMP Plugins)
+manubulon-snmp-plugins:
+manubulon-snmp-plugins: A set of plugins using snmp to monitor hosts and network equipement.
+manubulon-snmp-plugins:
+manubulon-snmp-plugins: Homepage: https://github.com/dnsmichi/manubulon-snmp
+manubulon-snmp-plugins:
+manubulon-snmp-plugins:
+manubulon-snmp-plugins:
+manubulon-snmp-plugins:
+manubulon-snmp-plugins:
+manubulon-snmp-plugins: